Bug 531755 - GMA 950 - there is a huge screen flickering on user login
GMA 950 - there is a huge screen flickering on user login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_945GME
: Triaged
Depends On: 655447
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2009-10-29 08:42 EDT by Andriy Tsykholyas
Modified: 2012-08-16 17:44 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:44:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full list of installed RPMs (34.57 KB, text/plain)
2009-11-09 04:56 EST, Andriy Tsykholyas
no flags Details
Modified grub.conf (2.05 KB, text/plain)
2009-11-09 07:08 EST, Andriy Tsykholyas
no flags Details
dmesg output (38.31 KB, text/plain)
2009-11-09 10:18 EST, Andriy Tsykholyas
no flags Details
Xorg.0.log (38.06 KB, text/plain)
2009-11-09 10:18 EST, Andriy Tsykholyas
no flags Details
Xorg.0.log.old (29.14 KB, application/x-trash)
2009-11-09 10:19 EST, Andriy Tsykholyas
no flags Details
Xorg.9.log (19.70 KB, text/plain)
2009-11-09 10:20 EST, Andriy Tsykholyas
no flags Details

  None (edit)
Description Andriy Tsykholyas 2009-10-29 08:42:29 EDT
Description of problem:
Installed F12 beta on MSI Wind U100 with Intel GMA 950. There is a huge screen flickering on user login and it is almost impossible to login. "Common F12 bugs" (https://fedoraproject.org/wiki/Common_F12_bugs#intel-misc-gfx) suggests this situation should be reported.
The problem is solved by using 'nomodeset' kernel parameter.

Version-Release number of selected component (if applicable):


How reproducible:
Boot F12 with default settings after installation.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
There is a huge screen flickering on user login and it is almost impossible to login.

Expected results:
It should be possible to login :)

Additional info:
The machine is MSI Wind U100 with Intel GMA 950. 
F12 Beta was installed using the Grub of another Linux on same machine.
Installation was done from Beta ISO image (Fedora-12-Beta-i386-DVD.iso) located
on external HDD. The installation process was flawless.
F12 partition schema:
/boot is on sda5, size - 250Mb;
/ is on encrypted logical volume, size - 5Gb.
Comment 1 Matěj Cepl 2009-11-05 12:19:51 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Andriy Tsykholyas 2009-11-09 04:56:43 EST
Created attachment 368158 [details]
Full list of installed RPMs

Performed full update a few hours ago. The problem is still present: it is virtually impossible to log in.
The related driver package is xorg-x11-drv-intel-2.9.1-1.fc12.i686.

I'm also attaching full list of installed packages.
Comment 3 Matěj Cepl 2009-11-09 05:28:31 EST
Would adding

i915.powersave=0

string to kernel command line (in /etc/grub.conf) help?
Comment 4 Andriy Tsykholyas 2009-11-09 07:08:58 EST
Created attachment 368191 [details]
Modified grub.conf

/etc/grub.conf points to /boot/grug/grub.conf, so I edited the latter.
Unfortunately it did not worked. Message like
'Unknown parameter: "i915.powersave=0" ignoring'
was shown soon after grub menu has gone. Then boot process continued as with default grub settings. I was not able to log in.

I'm attaching my modified grub.conf. The modified entry is the third one.
Comment 5 Andriy Tsykholyas 2009-11-09 07:12:00 EST
Here is the exact message shown soon after grub menu is gone:
Unknown boot option: "i915.powersave=0", ignoring
Comment 6 Matěj Cepl 2009-11-09 09:16:00 EST
That ignoring message is harmless, however, if it haven't helped, we have a problem.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 Andriy Tsykholyas 2009-11-09 09:32:02 EST
Do you need this info with "i915.powersave=0" or not?
Comment 8 Matěj Cepl 2009-11-09 09:36:54 EST
Doesn't matter.
Comment 9 Andriy Tsykholyas 2009-11-09 10:17:13 EST
Here are the results.
1) I've run Fedora with default grub entry.
2) There are no /etc/X11/xorg.conf
3) I've waited about 10 minutes after entering credentials in login screen. But Fedora did not logged me in. So, I've used second virtual console (Alt+Ctrl+F2) to log in. The dmesg output an X server log files (attached below) were collected from that console (because I don't know the other approach to obtain them when graphical log in fails).
Comment 10 Andriy Tsykholyas 2009-11-09 10:18:01 EST
Created attachment 368235 [details]
dmesg output
Comment 11 Andriy Tsykholyas 2009-11-09 10:18:38 EST
Created attachment 368236 [details]
Xorg.0.log
Comment 12 Andriy Tsykholyas 2009-11-09 10:19:08 EST
Created attachment 368237 [details]
Xorg.0.log.old
Comment 13 Andriy Tsykholyas 2009-11-09 10:20:12 EST
Created attachment 368240 [details]
Xorg.9.log

This is the last one. There were 3 X server log files.
Comment 14 Matěj Cepl 2009-11-09 11:00:15 EST
(In reply to comment #9)
> Here are the results.
> 1) I've run Fedora with default grub entry.
> 2) There are no /etc/X11/xorg.conf
> 3) I've waited about 10 minutes after entering credentials in login screen. But
> Fedora did not logged me in. So, I've used second virtual console (Alt+Ctrl+F2)
> to log in. The dmesg output an X server log files (attached below) were
> collected from that console (because I don't know the other approach to obtain
> them when graphical log in fails).  

Thanks a lot, that's absolutely perfect.
Comment 15 Bug Zapper 2009-11-16 09:34:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Avalone 2009-12-06 15:22:13 EST
I'm use Msi Wind U90x. FC12 x32.

Any additional info about resolving this bug? I'm yum upgrade FC12 to latest package with enabled update and update-testing repo. No success, flickering at login screen not gone (to break flickering it i'm use Alt+F1 sequence).


I'm think https://bugs.launchpad.net/fedora/+bug/415023?comments=all it's launchpad info on this bug, and https://bugzilla.gnome.org/show_bug.cgi?id=601410 is gnome.
Comment 17 xavier.loup 2009-12-07 04:10:49 EST
See also bug 509577 (also for MSI WIND)
Comment 18 Matěj Cepl 2009-12-07 20:11:57 EST
suspicious to be duplicates: bug 509577 and bug 544749
Comment 19 Matěj Cepl 2009-12-07 20:12:48 EST
(In reply to comment #18)
> suspicious to be duplicates: bug 509577 and bug 544749  

sorry, forgot about the latter, that's ATI
Comment 20 Carlos Ferrabone 2009-12-23 21:49:40 EST
this flickring is because of loops seting back and forth brigitness 

https://bugs.launchpad.net/fedora/+bug/415023

comment 80 is very clear
Comment 21 Steve Chapel 2010-10-18 12:22:50 EDT
I often see this flickering when I wake my ThinkPad SL500 laptop from suspend. During the flickering, many gcm-apply processes are running and CPU use is high. When these processes stop, the flickering stops and CPU use drops.
Comment 22 Bug Zapper 2010-11-04 03:01:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2010-11-04 04:58:06 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Steve Chapel 2010-11-06 13:19:02 EDT
I'm still experiencing this problem with Fedora 13.
Comment 25 Michal Ambroz 2010-11-20 19:20:58 EST
I am experiencing the same issue in Fedora 14. Extensive number of gcm-apply processes is running.

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
Notebook HP EliteBook6930p

Screen flickers with cca 30% chance when:
- starting gnome-greeter (login screen)
- directly after loging in
- after screensaver blanks and un-blanks the screen
- when starting gcm-prefs
- when changing color profiles from one to another in gcm-prefs

Workaround is to unistall gnome-color-manager.

Michal Ambroz
Comment 26 Jim McEvoy 2010-12-29 14:42:06 EST
I see the same problem gcm-apply going nuts problem on my HP laptop after installing Fedora 14 x86_64.  

yum erase gnome-color-manager
 
Fixed the problem on my laptop with its Intel GPU.  Could the problem be related to the unclaimed display controller where an external monitor can be connected?

product: HP Compaq 6730b (NA373UC#ABA) (NA373UC#ABA)
vendor: Hewlett-Packard
version: F.16
serial: xxx
width: 64 bits
capabilities:
	SMBIOS version 2.4,
	DMI version 2.4,
	64-bit processes,
	32-bit processes
configuration:
	boot: normal
	chassis: notebook
	family: 103C_5336AN
	sku: NA373UC#ABA


VGA compatible controller
/0/100/2
product: Mobile 4 Series Chipset Integrated Graphics Controller [8086:2A42]
vendor: Intel Corporation [8086]
bus info: pci@0000:00:02.0
version: 07
width: 64 bits
clock: 33MHz
capabilities:
	Message Signalled Interrupts,
	Power Management,
	vga_controller,
	bus mastering,
	PCI capabilities listing,
	extension ROM
configuration:
	driver: i915
	latency: 0
resources:
	irq: 48
	memory: d0000000-d03fffff
	memory: c0000000-cfffffff
	ioport: 60f0(size=8)


Display controller
/0/100/2.1


product: Mobile 4 Series Chipset Integrated Graphics Controller [8086:2A43]
vendor: Intel Corporation [8086]
bus info: pci@0000:00:02.1
version: 07
width: 64 bits
clock: 33MHz
capabilities:
	Power Management,
	bus mastering,
	PCI capabilities listing
configuration:
	latency: 0
resources:
	memory: d0400000-d04fffff
this device hasn't been claimed
Comment 27 Sean Beeson 2011-04-29 15:34:08 EDT
I am yet another person getting this screen flicker running fedora 14 with many gcm-applys starting sometimes after exiting the screen saver. I tried uninstalling gnome-color-manager, but that leaves me with out a manger and on bootup I am simply left at an endless screen test. This is happening on a HP Elitebook 6930p. I have to use intel_iommu=off at the boot options to not have any problems with the graphics. That boot option works sometimes and sometimes it doesn't. Under Fedora 13 it worked most of the time.
Comment 28 Fedora End Of Life 2012-08-16 17:44:37 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.